NoSuchComponentException
Date: 2016-06-25

org.osgi.service.blueprint.container

## Class NoSuchComponentException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.osgi.service.blueprint.container.NoSuchComponentException

- All Implemented Interfaces:
    java.io.Serializable

      public class NoSuchComponentException
      extends java.lang.RuntimeException

  A Blueprint exception indicating that a component does not exist in a Blueprint Container. This exception is thrown when an attempt is made to create a component instance or lookup Component Metadata using a component id that does not exist in the Blueprint Container.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoSuchComponentException(java.lang.String id)` Create a No Such Component Exception for a non-existent component.
    `NoSuchComponentException(java.lang.String msg, java.lang.String id)` Create a No Such Component Exception for a non-existent component.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getComponentId()` Returns the id of the non-existent component.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NoSuchComponentException

          public NoSuchComponentException(java.lang.String msg,
                                  java.lang.String id)

      Create a No Such Component Exception for a non-existent component.
      Parameters:
        `msg` - The associated message.
        `id` - The id of the non-existent component.

    - #### NoSuchComponentException

          public NoSuchComponentException(java.lang.String id)

      Create a No Such Component Exception for a non-existent component.
      Parameters:
        `id` - The id of the non-existent component.

  - ### Method Detail

    - #### getComponentId

          public java.lang.String getComponentId()

      Returns the id of the non-existent component.
      Returns:
        The id of the non-existent component.